org.apache.ignite.internal.processors.platform.cache

## Class PlatformCacheEntryProcessorImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.cache.PlatformCacheEntryProcessorImpl

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.processor.EntryProcessor, CacheEntryProcessor, PlatformCacheEntryProcessor

    public class PlatformCacheEntryProcessorImpl
    extends Object
    implements PlatformCacheEntryProcessor, Externalizable

Platform cache entry processor. Delegates processing to native platform.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformCacheEntryProcessorImpl()` `Externalizable` support.
`PlatformCacheEntryProcessorImpl(Object proc, long ptr)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `process(javax.cache.processor.MutableEntry entry, Object... args)`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformCacheEntryProcessorImpl

    public PlatformCacheEntryProcessorImpl()

`Externalizable` support.

#### PlatformCacheEntryProcessorImpl

    public PlatformCacheEntryProcessorImpl(Object proc,
                                           long ptr)

Constructor.

Parameters:
  `proc` - Native binary processor
  `ptr` - Pointer to processor in the native platform.

### Method Detail

#### process

    public Object process(javax.cache.processor.MutableEntry entry,
                          Object... args)
                   throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor`
Throws:
  `javax.cache.processor.EntryProcessorException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022